#include <Brino.h>
#include <Stepper.h>				//Chama a biblioteca externa do motor de step

#define diametro 4.3344		//Define o diametro das rodas

Constante numero PPR = 512;	//Total de steps por rotação

Stepper esq( PPR, 8, 10, 9, 11);	//Define as portas de conexão do motor esquerdo
Stepper dir( PPR, 2, 4, 3, 5);	//Define as portas de conexão do motor direito

configuracao(){
	esq.setSpeed(60);		//define a velocidade do motor esquerdo
	dir.setSpeed(60);		//Define a velocidade do motor direito

}

principal(){
	andarFrente(10);		//Chama a função andarFrente e da 10 steps
	andarDireita(90);		//Chama a função andarDireitra e da 10 steps
}

semRetorno andarFrente(numeroDecimal distancia){	//Define a função andarFrente
	numeroDecimal comp = 3.14159265*diametro;
	numeroDecimal voltas = distancia/comp;
	numero steps = voltas*2048;
	para(numero i = 0; i < steps; i++){
		dir.step(-1);
		esq.step(1);
		esperar(2);
	}
}

semRetorno andarDireita(numeroDecimal angulo){	//Define a função andarDireita
	numeroDecimal rad = (angulo/180)*3.14159265;
	numero comp = rad*(diametro/2)*3.5;
	numeroDecimal voltas = comp/(3.14159265*diametro);
	numero steps = voltas*2048;
	para(numero i = 0; i < steps; i++){
		dir.step(1);
		esq.step(1);
		esperar(2);
	}
}